/* -*-C-*- ux2dos.c */
/*-->ux2dos*/
/**********************************************************************/
/****************************** ux2dos ********************************/
/**********************************************************************/

/***********************************************************************
Convert one or more files from UNIX to DOS format (\n -> \r\n),
preserving time stamps.

Usage:
	ux2dos filelist

[20-Sep-1997] -- Adapt for GNU automake and autoconf.
[29-Jan-1992] -- original version
***********************************************************************/

#include "headers.h"

RCSID("$Id: ux2dos.c,v 1.14 1995/07/22 20:21:18 beebe Exp beebe $")

#define TMPFILE "ux2dos.$$$"

int		main ARGS((int argc_, char *argv_[]));
static int	ux2dos ARGS((char *file_));

int
#if STDC
main(
int argc,
char  *argv[]
)
#else /* NOT STDC */
main(argc,argv)
int argc;
char  *argv[];
#endif /* STDC */
{
    int k;
    int errors = 0;

    for (k = 1; k < argc; ++k)
	errors += ux2dos(argv[k]);
    exit(errors ? EXIT_FAILURE : EXIT_SUCCESS);
    return (0);
}

static int
#if STDC
ux2dos(
char  *file
)
#else /* NOT STDC */
ux2dos(file)
char  *file;
#endif /* STDC */
{
    FILE  *fpin;
    FILE  *fpout;
    int cprev;
    int c;

    (void)fprintf(stderr,"%s",file);

    if ((fpin = fopen(file,RB_OPEN)) == (FILE*)NULL)
    {
	(void)fprintf(stderr," - [FAILED]\n");
	return (1);
    }
    if ((fpout = fopen(TMPFILE,WB_OPEN)) == (FILE*)NULL)
    {
	(void)fprintf(stderr," [%s] - [FAILED]\n",TMPFILE);
	return (1);
    }

    cprev = -1;
    while ((c = getc(fpin)) != EOF)
    {
	if ((c == '\n') && (cprev != '\r'))
	    (void)putc('\r',fpout);
	(void)putc(c,fpout);
	cprev = c;
    }

    return (finish_file(fpin,file,fpout,TMPFILE));
}
